Bug 104614 - up2date agent: corrupt RPMs not being handled correctly.
up2date agent: corrupt RPMs not being handled correctly.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 17:29 EDT by Todd Warner
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 17:00:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Warner 2003-09-17 17:29:15 EDT
up2date-3.0.7.2-1 (RHL 8.0)

I did this:
o rpm -e alchemist-devel
o up2date -d alchemist-devel
o edit rpm and nuke the first X lines
o up2date -u alchemist-devel

[taw@trixie up2date]$ sudo up2date -u

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################

Fetching rpm headers...
None of the packages you requested were found, or they are already
updated.
[taw@trixie up2date]$ sudo up2date alchemist-devel

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################

Fetching rpm headers...

Testing package set / solving RPM inter-dependencies...
########################################
alchemist-devel-1.0.24-4.i3 ########################## Done.
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 801, in ?
    main()
  File "/usr/sbin/up2date", line 573, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 737, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 71, in run
    self.__getPackages()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 122, in
__getPackages
    self.__checkPackage( pkg)
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 179, in
__checkPackage
    res = up2date.hasBadSignature(pkg)
  File "/usr/share/rhn/up2date_client/up2date.py", line 373, in
hasBadSignature
    if hdr['SIGGPG'] == None:
TypeError: unsubscriptable object

Note You need to log in before you can comment on or make changes to this bug.